Subject: bug#74775: [PATCH] Update browse-url-kde variables

From: Robert Pluim <[email-masked]>
Date: Wed, 11 Dec 2024 15:28:21 +0100

>>>>> On Wed, 11 Dec 2024 16:03:30 +0200, Björn Bidar via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> said:

    Björn> Eli Zaretskii <[email-masked]> writes:
    >>> Date: Wed, 11 Dec 2024 01:04:56 +0200
    >>> From:  Björn Bidar via "Bug reports for GNU Emacs,
    >>> the Swiss army knife of text editors" <[email-masked]>
    >>> 
    >>> Update browse-url-kde's variables.
    >> 
    >> Thanks, but when we change the default value of a user option, we need
    >> to update its :version tag (so that commands like customize-changed
    >> could notice that).

    Björn> Will do good call.

I already did that this morning 😀

    >>> :type 'string
    >> 
    >> Should this be 'file instead?

    Björn> Does 'file for programs in path?

Yes (although Iʼm not sure customize actually checks that)

    Björn> I think it would make sense to apply this change to Emacs 30 too as it
    Björn> isn't a functionality change but a fix to not use kfmclient which is not
    Björn> installed anymore these days as the default file manager for KDE is
    Björn> Dolphin and not Konqueror which includes kfmclient.

If I squint I could call it a regression, but Iʼm not an Emacs
maintainer 😺

Robert
--